# Scaling Configuration
# This file contains the configuration parameters for AIVA's scaling behavior.

# Desired Latency Function Parameters
# These parameters define the desired latency as a function of load.
# The function is a linear function: desired_latency = slope * load + intercept
# Load is normalized to be between 0 and 1.

desired_latency:
  slope: 0.05  # Experimentally determined slope.  Represents the sensitivity of desired latency to load.
  intercept: 0.1  # Experimentally determined intercept.  Represents the baseline desired latency at zero load.

# Minimum and Maximum Latency (in seconds)
min_latency: 0.01
max_latency: 0.5

# Scaling Factors
scale_up_factor: 1.1
scale_down_factor: 0.9

# Load Thresholds (as a percentage)
high_load_threshold: 0.8
low_load_threshold: 0.2

# Cooldown period (in seconds) after scaling
cooldown_period: 60

# Metrics Collection Interval (in seconds)
metrics_collection_interval: 10
